summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorBrian Cully <bjc@kublai.com>2008-04-14 21:52:55 -0400
committerBrian Cully <github.20.shmit@spamgourmet.com>2008-04-14 21:52:55 -0400
commit6ba98a9f9f48e13738d9736cba9c45b5e94f42f2 (patch)
tree86d7c281bcdbf67eb53cee064aa905e740ec5ccf /tools
downloadnastd-6ba98a9f9f48e13738d9736cba9c45b5e94f42f2.tar.gz
nastd-6ba98a9f9f48e13738d9736cba9c45b5e94f42f2.zip
Initial import
Diffstat (limited to 'tools')
-rw-r--r--tools/.svn/README.txt2
-rw-r--r--tools/.svn/empty-file0
-rw-r--r--tools/.svn/entries22
-rw-r--r--tools/.svn/format1
-rw-r--r--tools/.svn/prop-base/build.svn-base5
-rw-r--r--tools/.svn/props/build.svn-work5
-rw-r--r--tools/.svn/text-base/build.svn-base53
-rwxr-xr-xtools/build53
8 files changed, 141 insertions, 0 deletions
diff --git a/tools/.svn/README.txt b/tools/.svn/README.txt
new file mode 100644
index 0000000..271a8ce
--- /dev/null
+++ b/tools/.svn/README.txt
@@ -0,0 +1,2 @@
+This is a Subversion working copy administrative directory.
+Visit http://subversion.tigris.org/ for more information.
diff --git a/tools/.svn/empty-file b/tools/.svn/empty-file
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/tools/.svn/empty-file
diff --git a/tools/.svn/entries b/tools/.svn/entries
new file mode 100644
index 0000000..af4e06f
--- /dev/null
+++ b/tools/.svn/entries
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="utf-8"?>
+<wc-entries
+ xmlns="svn:">
+<entry
+ committed-rev="1"
+ name=""
+ committed-date="2005-12-08T17:32:07.572093Z"
+ url="svn+ssh://coleridge/svn/nastd/trunk/tools"
+ last-author="bjc"
+ kind="dir"
+ uuid="2641c99b-6c07-0410-920d-927397d2d5d0"
+ revision="8"/>
+<entry
+ committed-rev="1"
+ name="build"
+ text-time="2005-12-24T00:00:41.000000Z"
+ committed-date="2005-12-08T17:32:07.572093Z"
+ checksum="d0ede51e29bdfbd13a756fcd152bf8bd"
+ last-author="bjc"
+ kind="file"
+ prop-time="2005-12-24T00:00:41.000000Z"/>
+</wc-entries>
diff --git a/tools/.svn/format b/tools/.svn/format
new file mode 100644
index 0000000..b8626c4
--- /dev/null
+++ b/tools/.svn/format
@@ -0,0 +1 @@
+4
diff --git a/tools/.svn/prop-base/build.svn-base b/tools/.svn/prop-base/build.svn-base
new file mode 100644
index 0000000..a669705
--- /dev/null
+++ b/tools/.svn/prop-base/build.svn-base
@@ -0,0 +1,5 @@
+K 14
+svn:executable
+V 0
+
+END
diff --git a/tools/.svn/props/build.svn-work b/tools/.svn/props/build.svn-work
new file mode 100644
index 0000000..a669705
--- /dev/null
+++ b/tools/.svn/props/build.svn-work
@@ -0,0 +1,5 @@
+K 14
+svn:executable
+V 0
+
+END
diff --git a/tools/.svn/text-base/build.svn-base b/tools/.svn/text-base/build.svn-base
new file mode 100644
index 0000000..7a374f0
--- /dev/null
+++ b/tools/.svn/text-base/build.svn-base
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# $Id: build,v 1.1.1.1 2000/02/16 23:32:47 shmit Exp $
+
+os=`uname -s`
+rev=`uname -r`
+rev_major=`echo $rev | cut -d. -f1`
+
+case $os in
+FreeBSD)
+ if [ $rev_major -ge 3 ]; then
+ target=freebsd
+ else
+ target=freebsd2
+ fi
+ ;;
+Linux)
+ target=linux
+ ;;
+SunOS)
+ if [ $rev_major -ge 5 ]; then
+ target=solaris
+ else
+ target=sunos
+ fi
+ ;;
+*)
+ echo "I don't know how to build for your platform, please poke" 1>&2
+ echo "around in Makefiles/os and tools/build to get the server" 1>&2
+ echo "to work on your platform." 1>&2
+ exit 1
+ ;;
+esac
+
+# Figure out which make to use.
+make=$1 && shift 1
+
+# Clobber the target makefile if the target of the build is the Makefile.
+if [ "$1" = "target" ]; then
+ rm -f Makefiles/os/target
+ echo "Setting build target to $target."
+ ln -s $target Makefiles/os/target && exit 0
+ exit 1
+fi
+
+# Make sure the OS Makefile is in place.
+if [ ! -f Makefiles/os/target ]; then
+ echo "Setting build target to $target."
+ ln -s $target Makefiles/os/target || exit 1
+fi
+
+# Now build the target.
+$make MAKE=$make -f Makefiles/build $*
diff --git a/tools/build b/tools/build
new file mode 100755
index 0000000..7a374f0
--- /dev/null
+++ b/tools/build
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+# $Id: build,v 1.1.1.1 2000/02/16 23:32:47 shmit Exp $
+
+os=`uname -s`
+rev=`uname -r`
+rev_major=`echo $rev | cut -d. -f1`
+
+case $os in
+FreeBSD)
+ if [ $rev_major -ge 3 ]; then
+ target=freebsd
+ else
+ target=freebsd2
+ fi
+ ;;
+Linux)
+ target=linux
+ ;;
+SunOS)
+ if [ $rev_major -ge 5 ]; then
+ target=solaris
+ else
+ target=sunos
+ fi
+ ;;
+*)
+ echo "I don't know how to build for your platform, please poke" 1>&2
+ echo "around in Makefiles/os and tools/build to get the server" 1>&2
+ echo "to work on your platform." 1>&2
+ exit 1
+ ;;
+esac
+
+# Figure out which make to use.
+make=$1 && shift 1
+
+# Clobber the target makefile if the target of the build is the Makefile.
+if [ "$1" = "target" ]; then
+ rm -f Makefiles/os/target
+ echo "Setting build target to $target."
+ ln -s $target Makefiles/os/target && exit 0
+ exit 1
+fi
+
+# Make sure the OS Makefile is in place.
+if [ ! -f Makefiles/os/target ]; then
+ echo "Setting build target to $target."
+ ln -s $target Makefiles/os/target || exit 1
+fi
+
+# Now build the target.
+$make MAKE=$make -f Makefiles/build $*